# 20110.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Izmailov, Comp. Math. Math. Phys. 47 (2007), 533554, Example 4.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x^3 = 0; 