# 20204.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Communicated by Claudia Sagastizabal.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier: (-1/2, -1/2) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1]^2 + x[2]^2)/2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -(x[1]^2 + x[2]^2)/2 + x[2] = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -(x[1]^2 + x[2]^2)/2 - x[2] = 0; 