# 20223.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 44 (2004), 552574, Example 6.

# Number of variables: 2
# Number of constraints: 2

# Local solution: (0, 0)
# Value at local solution: 0
# Critical multiplier for I = {1, 2}: (1, 1)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1] - x[2]^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     (x[1]^2 - x[2]^2)/2 >= 0;