# 40205.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Izmailov and Solodov, JOTA 142 (2009), 501-532, Examples 1.1, 4.2.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[2] + x[1]^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 