# 10206.mod		
# Original AMPL coding by Alexey Izmailov 05.06.09.

# Modified 10201.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier for I={1, 2}: (1/2, 1/2)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1] + x[2]^2 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1] - x[2]^2 >= 0;