# 20104.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Hager, COAP 12 (1999), 253-273, (4).
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 11.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.5.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x^2;

s.t. mu := Uniform(0,RangeStartingPoints):
     -x^2 >= 0; 