# 20106.mod		
# Original AMPL coding by Alexey Izmailov 05.06.09.

# Ref.: Izmailov and Solodov, sSQP-loc, manuscript (2009), Example 2.

# Number of variables: 1
# Number of constraints: 2

# Solution: 0
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x^3/6 >= 0; 