# 20107.mod		
# Original AMPL coding by Alexey Izmailov 24.06.09.

# Ref.: Communicated by Vladimir Nikulin and Nikolay Spitzin.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 1
# Critical multiplier: -1/2 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x^2+cos(x);

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x^2 = 0; 