# 20109.mod		
# Original AMPL coding by Alexey Izmailov 24.06.09.

# Ref.: Avakov, Arutyunov, and Izmailov, Comp. Math. Math. Phys. 44 (2004), 1684-1695, Example 3.

# Number of variables: 1
# Number of constraints: 1

# Solution: 0
# Optimal value: 0
# Critical multiplier: 1/2 

param RangeStartingPoints := 100;

option randseed 0;

var x := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x^2/2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x^2 = 0; 