# 20217.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 43 (2003), 178-193, Example 5.
# Ref.: Arutyunov and Izmailov, MP 100 (2004), 485515, Example 6.

# Number of variables: 2
# Number of constraints: 1

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier: 0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (abs(x[1]))^3/3 + x[2]^2/2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[2] = 0;