# 20306.mod		
# Original AMPL coding by Alexey Izmailov 05.06.09.

# Number of variables: 3
# Number of constraints: 1

# Solutions: x[1]=x[3], x[2]=0
# Degenerate solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: -2 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 - x[3]^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -(x[1] - x[3])*x[3] = 0; 