# 20309.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Izmailov, Comp. Math. Math. Phys. 47 (2007), 533554, Example 3.

# Number of variables: 3
# Number of constraints: 2

# Solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: (0, 0) or lambda[1] = -1 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[2]^2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 - x[2]^2 + x[3]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[3] = 0; 
