# 40206.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Izmailov and Solodov, JOTA 142 (2009), 501-532, Examples 3.1, 4.3, 5.1.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers for I={2}: (0, 0) and (0, 4)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - x[2])^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 