# 40209.mod		
# Original AMPL coding by Alexey Izmailov 18.06.09.

# Ref.: Achtziger, Hoheisel, and Kanzow, Manuscript (2008), Section 6.1 (Academic Example).

# Number of variables: 2
# Number of constraints: 4

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none
# Local solution: (0, 5)
# Value at local solution: 10

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         4*x[1] + 2*x[2];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -(5*sqrt(2) - x[1] - x[2])*x[1] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     -(5 - x[1] - x[2])*x[2] >= 0; 
